libpeas (1.38.1-3) unstable; urgency=medium

  * Release to unstable (LP: #2141258)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 09 Feb 2026 07:10:17 -0500

libpeas (1.38.1-2) experimental; urgency=medium

  * Remove obsolete Breaks: no longer needed with a proper soname bump
  * Add Breaks/Replaces: libpeas-1.0-0 to libpeas-1.0-1
    since both include the unversioned libpython3loader.so

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 08 Feb 2026 22:36:12 -0500

libpeas (1.38.1-1) experimental; urgency=medium

  * New upstream release
  * Rename packages for soname bump
  * Remove girepository-2.0 patches: applied in new release
  * Move Maintainer from Debian GNOME to Debian GNOME Extras
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 31 Jan 2026 17:12:31 -0500

libpeas (1.36.0-8) unstable; urgency=medium

  * Team upload
  * d/control: Increase version of Breaks on eom and pluma.
    Version 1.28.0-1 of each package was uploaded to unstable, so we'll
    need a correspondingly newer upload with the changes for #1118496
    and #1118497.
  * Release to unstable (transition: #1118613) (Closes: #1118363)

 -- Simon McVittie <smcv@debian.org>  Wed, 05 Nov 2025 11:09:45 +0000

libpeas (1.36.0-7) experimental; urgency=medium

  * Team upload
  * d/control: Correct Breaks version on eog
  * d/control: Depend on a newer GLib, to ensure that #1099192 is fixed.
    Otherwise at least entangle would fail to load its typelib from the
    legacy pre-multiarch directory.
  * d/control: Add versioned Breaks on older entangle, eom and pluma.
    Patches are available for these packages.

 -- Simon McVittie <smcv@debian.org>  Thu, 23 Oct 2025 12:22:54 +0100

libpeas (1.36.0-6) experimental; urgency=medium

  * Team upload
  * d/p/deprecations-ignore-GParameter-deprecations.patch,
    d/p/build-handle-depending-on-development-releases-of-GLib.patch,
    d/p/girepository-port-libpeas-ABI-to-girepository.patch,
    d/p/peas-demo-add-gi.require_version-for-GTK-3.0.patch:
    Add patches from upstream 1.38.x branch to switch to
    libgirepository-2.0. This will allow us to move on from pygobject
    3.50.x. (Helps: #1099164, #1118363)
  * d/control: Give gir1.2-peas-1.0 a lockstep dependency on libpeas-1.0-0.
    Even though the ABI is the same, when porting apps we will want
    to be able to guarantee that a versioned dependency on a new
    gir1.2-peas-1.0 gives us a libpeas-1.0-0 that was compiled against
    libgirepository-2.0.
  * d/control: Add Breaks on older eog, gedit, rhythmbox, totem.
    These apps need source changes to be compatible with this new libpeas.
    - We will probably also need to add Breaks on eom and pluma, but for
      the moment I'm omitting those to make it easier for the MATE team to
      test those apps against experimental's libpeas and pygobject.
      Similarly, we might need to Breaks on endeavour and entangle later.
  * d/rules, d/p/debian/demo-Disable-Lua-loader.patch:
    Explicitly disable the Lua loader.
    lua-lgi is still based on libgirepository-1.0, so it is incompatible
    with moving pygobject and libpeas to libgirepository-2.0. In practice
    we weren't enabling that feature anyway, because Lua bindings are
    not in our Build-Depends (but it might have accidentally become
    enabled if building in a non-minimal environment).
  * d/copyright: Don't quote the FSF's former postal address here
  * Upload to experimental until we are ready to do the pygobject 3.54
    transition

 -- Simon McVittie <smcv@debian.org>  Mon, 20 Oct 2025 13:37:14 +0100

libpeas (1.36.0-5) unstable; urgency=medium

  * Team upload
  * d/control: Replace libgirepository1.0-dev (build-)dependency with
    multiarch-compatible packages.
    Unusually, libpeas needs both gobject-introspection (for its own language
    bindings) and libgirepository-1.0-dev (because it directly calls into
    the libgirepository library).
  * d/control: Add missing Build-Depends on gir1.2-girepository-2.0-dev
  * d/control: Don't Build-Depend on -doc packages.
    gtk-doc needed this, but gi-docgen does not.
  * d/control, d/rules: Only require gi-docgen if building -doc packages
  * d/libpeas-doc.links: Register API reference with devhelp
  * d/libpeas-doc.doc-base.*: Register API reference with doc-base
  * d/rules: Run tests under the run-with-display script from gtk4.
    In particular, this instructs xvfb-run to pass the -noreset option to
    Xvfb, working around defaults that cause intermittent test failures
    (see #981201).

 -- Simon McVittie <smcv@debian.org>  Sun, 31 Aug 2025 18:48:49 +0100

libpeas (1.36.0-4) unstable; urgency=medium

  * Stop building glade catalog support
  * Update gir packaging
  * debian/libpeas-1.0-0.symbols: Remove some obsolete "optional" symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 15 Aug 2025 14:46:25 -0400

libpeas (1.36.0-3) unstable; urgency=medium

  * Stop using debian/control.in
  * debian/watch: Only watch for stable 1.x releases

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 25 Oct 2023 15:36:54 -0400

libpeas (1.36.0-2) unstable; urgency=medium

  * Update standards version to 4.6.2, no changes needed
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jul 2023 13:18:26 -0400

libpeas (1.36.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum glib to 2.44.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 10:35:37 -0400

libpeas (1.34.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Set Rules-Requires-Root: no

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 10:58:48 -0400

libpeas (1.32.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on gi-docgen
  * Bump Standards-Version to 4.6.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 11:19:22 -0400

libpeas (1.30.0-4) unstable; urgency=medium

  * debian/rules: Set the timeout multiplier for the tests to 6
  * debian/rules: Do not run the tests when the nocheck build option is set

 -- Laurent Bigonville <bigon@debian.org>  Mon, 06 Sep 2021 17:26:15 +0200

libpeas (1.30.0-3) unstable; urgency=medium

  * Bump debhelper-compat to 13
  * Drop unneeded build-Depends on intltool and gnome-common
  * debian/rules: clean up unneeded lines
  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 21 Aug 2021 20:37:42 -0400

libpeas (1.30.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated meson requirement
  * debian/patches/tests-Explicitly-depend-on-the-GIR-and-typelib.patch:
    - remove patch included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 23 Mar 2021 09:25:15 +0100

libpeas (1.28.0-2) unstable; urgency=medium

  * Team upload
  * d/p/tests-Explicitly-depend-on-the-GIR-and-typelib.patch:
    Add patch to fix FTBFS with Meson 0.55.0 (Closes: #966951)

 -- Simon McVittie <smcv@debian.org>  Fri, 18 Sep 2020 14:11:36 +0100

libpeas (1.28.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Sep 2020 21:37:32 +0200

libpeas (1.26.0-2) unstable; urgency=medium

  * Tests: Drop tests for python2 loader

 -- Laurent Bigonville <bigon@debian.org>  Tue, 10 Mar 2020 14:33:16 +0100

libpeas (1.26.0-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Drop libpeas-1.0-python2loader (Closes: #936900)

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields:
    - Bug-Database, Bug-Submit, Name, Repository, Repository-Browse.

  [ Andreas Henriksson ]
  * Build-dep on dh-sequence-gir and dh-sequence-gnome

  [ Laurent Bigonville ]
  * New upstream release (Closes: #953348)
  * debian/control.in: Add libglib2.0-doc, libgirepository1.0-doc and
    libgtk-3-doc so the links between documentation are properly resolved
  * debian/libpeas-1.0-0.symbols: Add newly exported symbols
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * debian/contron.in: Mark libpeas-doc with Build-profiles: <!nodoc>

 -- Laurent Bigonville <bigon@debian.org>  Mon, 09 Mar 2020 21:16:07 +0100

libpeas (1.24.1-2) experimental; urgency=medium

  * debian/control.in:
    - Build-Depends on python2-dev instead of python-dev

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 21 Jan 2020 11:08:09 +0200

libpeas (1.24.1-1) experimental; urgency=medium

  * Team upload
  * Merge packaging changes from unstable
  * New upstream release
    - Revert name of Python 2 loader from python2 to python, fixing a
      regression in pluma (LP: #1846890)

 -- Simon McVittie <smcv@debian.org>  Mon, 23 Dec 2019 17:45:24 +0000

libpeas (1.22.0-5) unstable; urgency=medium

  * Team upload
  * Build-depend on python-gi and python3-gi, in addition to
    python-gi-dev.
    python-gi-dev is going to drop its dependency on python-gi to make
    it easier to track which packages are still using Python 2.
    Also add an explicit dependency on python3-gi for symmetry, and in
    case the python3-gi dependency is later dropped for a Python 4
    transition. (Closes: #947249)
  * d/tests: Add superficial autopkgtests
  * d/gbp.conf: Use debian/unstable branch while 1.24.x is in experimental
  * Bump Standards-Version to 4.4.1

 -- Simon McVittie <smcv@debian.org>  Mon, 23 Dec 2019 16:32:13 +0000

libpeas (1.24.0-2) experimental; urgency=medium

  * debian/rules:
    - strip -Wl,-Bsymbolic-functions from the build flags, fixes the
      build on Ubuntu where it's on by default

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 16 Sep 2019 15:48:29 +0100

libpeas (1.24.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/rules: update for switch to meson
  * debian/gbp.conf: Extend with common gnome settings
    - sign tags, postimport dch/debcommit, no patch numbers
  * Add meson to build-dependencies
  * Update symbols file
  * Use new filename of python(2) loader file when installing
    - libpythonloader.so is now called libpython2loader.so

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 13 Sep 2019 21:48:12 +0200

libpeas (1.22.0-4) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 28 Dec 2018 08:31:54 -0500

libpeas (1.22.0-3) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump Standards-Version to 4.2.1
  * Drop Conflicts/Replaces/Provides for Ubuntu's previous loader split
    not needed after Ubuntu 18.04 LTS

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 02 Dec 2018 08:19:21 -0500

libpeas (1.22.0-2) unstable; urgency=medium

  [ Simon McVittie ]
  * gir1.2-peas-1.0 Provides gir1.2-peasgtk-1.0, reflecting the fact
    that it contains both Peas-1.0.typelib and PeasGtk-1.0.typelib
  * Bump priorities from extra to optional. Priority: extra is now
    deprecated.

  [ Jeremy Bicha ]
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11
  * Build with all hardening flags

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 19 Dec 2017 16:49:57 -0500

libpeas (1.22.0-1) unstable; urgency=medium

  * New upstream translations release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 10 Sep 2017 11:01:40 -0400

libpeas (1.21.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 29 Aug 2017 13:50:55 -0400

libpeas (1.20.0-1) unstable; urgency=medium

  * Convert from cdbs to dh.
  * Bump to dh compat 10 (automatic dh-autoreconf)
  * Add explicit gnome-common build-dependency (Closes: #837844)
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 19 Sep 2016 19:15:48 +0200

libpeas (1.18.0-3) unstable; urgency=medium

  * Convert to multiarch. (Closes: #815727)
  * Add some Conflicts/Replaces/Provides for the benefit of users
    transitioning from Ubuntu's different loader split.

 -- Iain Lane <laney@debian.org>  Tue, 05 Jul 2016 10:21:20 +0100

libpeas (1.18.0-2) unstable; urgency=medium

  * Add Build-Depends-Package meta-tags to symbols file.
  * Split out python2 loader in a separate package (Closes: #806824)
  * Use --fail-missing when installing package files.
  * Bump Standards-Version to 3.9.8

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 15 Apr 2016 10:17:52 +0200

libpeas (1.18.0-1) experimental; urgency=medium

  [ Hideki Yamane ]
  * debian/watch
    - adjust to new upstream URL

  [ Andreas Henriksson ]
  * New upstream release.
  * Drop debian/patches/0001-Fix-Python-plugin-loader-module-paths.patch
    - merged upstream.
  * Bump Standards-Version to 3.9.7
  * Append '-V -- -c4' to dh makeshlib args.
    - prevents package being built with auto-generated symbols file.
  * Update debian/libpeas-1.0-0.symbols with three additions.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 02 Apr 2016 15:47:48 +0200

libpeas (1.16.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/patches/0001-Fix-Python-plugin-loader-module-paths.patch
    - replace patch from gnome bugzilla with commit from upstream git.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 22 Sep 2015 13:44:28 +0200

libpeas (1.14.0-1) unstable; urgency=medium

  [ Iain Lane ]
  * Depend on adwaita-icon-theme for the test. This is GNOME's new default
    icon theme.

  [ Jackson Doak ]
  * New upstream release

  [ Andreas Henriksson ]
  * Fix Homepage url (breakage spotted by DUCK by skanz@d.o)

  [ Michael Biebl ]
  * Bump Build-Depends as per configure.ac.
  * Drop obsolete --disable-seed configure flag.
  * Update symbols file. Mark private symbols as optional.
  * Bump debhelper compatibility level to 9.
  * Drop obsolete Conflicts and Replaces from pre-wheezy.
  * Fix Python plugin loader module paths. Patch taken from bgo#753401.

 -- Michael Biebl <biebl@debian.org>  Fri, 04 Sep 2015 00:33:39 +0200

libpeas (1.12.1-2) unstable; urgency=medium

  * Disable seed support everywhere.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 06 Nov 2014 13:13:34 +0100

libpeas (1.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump libglib2.0-dev build-dependency to >= 2.32.0 according to configure.ac

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 22 Sep 2014 21:10:34 +0200

libpeas (1.10.1-4) unstable; urgency=medium

  * Also exclude arm64 hppa and arm from the seed build-dependency.
  * Add ppc64el and ia64 to archs where we don't enable seed
    and exclude them from the seed build-dependency.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 07 Sep 2014 22:01:32 +0200

libpeas (1.10.1-3) unstable; urgency=medium

  * Also add arm64 to platforms where we don't enable seed.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 07 Sep 2014 21:48:58 +0200

libpeas (1.10.1-2) unstable; urgency=medium

  * Add hppa and alpha to the list of architectures where we don't enable
    seed (Closes: #757241)

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 05 Sep 2014 00:01:41 +0200

libpeas (1.10.1-1) unstable; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    + Don't run the test suite when DEB_BUILD_OPTIONS contains nocheck.
      Thanks to Pino Toscano. Closes: #755251.
  * debian/rules,
    debian/control.in:
    + Disable seed support on hurd-i386. Thanks to Pino Toscano.
      Closes: #755259.

  [ Andreas Henriksson ]
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 28 Aug 2014 16:43:26 -0700

libpeas (1.10.0-2) unstable; urgency=medium

  * debian/rules, debian/control.in:
    Disable seed support on big-endian architectures (Closes: #727127)
    - add powerpc s390x sparc since mips was already excluded.
    - seed (because of webkit?) is broken on big endian.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 26 Apr 2014 20:06:47 +0200

libpeas (1.10.0-1) experimental; urgency=medium

  * export NOCONFIGURE in debian/rules to avoid double-configure.
  * Add --disable-gjs configure flag for now.
    - the gjs support has been dropped upstream
    - it causes test failures (see 1.9.0-1 changelog entry)
    - doesn't build with gjs >= 1.39 (mozjs24)
  * Make test-suite fatal again.
  * Bump Standards-Version to 3.9.5
  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - Bump gobject-introspection to >= 1.39.0
    - Drop libgjs-dev
  * Remove --disable-gjs configure flag (gjs no longer exists)
  * Drop debian/patches/Fix-autogen-with-latest-gnome-common.patch
    - from upstream, now part of released version.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 01 Apr 2014 21:13:05 +0200

libpeas (1.9.0-1) experimental; urgency=low

  * New upstream release
  * debian/patches/0001-Fix-tests-after-glib-string-change.patch
   + Dropped, fixed upstream
  * debian/patches/0002-Fix-autogen-with-latest-gnome-common.patch
   + Dropped, fixed upstream
  * debian/patches/Fix-autogen-with-latest-gnome-common.patch
    + Added, fix autogen (from upstream git)
  * make the test-suite non-fatal, issues filed upstream as bgo#711356

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 03 Nov 2013 20:52:13 +0100

libpeas (1.8.1-2) unstable; urgency=low

  * debian/patches/0002-Fix-autogen-with-latest-gnome-common.patch:
    Cherry-pick patch from upstream to drop usage of AM_GNU_GETTEXT as this is
    not working in combination with IT_PROG_INTLTOOL. This fixes a FTBFS with
    latest gnome-common which uses autoreconf now. (Closes: #724555)
  * Delete __pycache__ directory in addition to compiled .pyc and .pyo files.

 -- Michael Biebl <biebl@debian.org>  Mon, 14 Oct 2013 11:53:01 +0200

libpeas (1.8.1-1) unstable; urgency=low

  [ Michael Biebl ]
  * Upload to unstable.

  [ Iain Lane ]
  * debian/patches/0001-Fix-tests-after-glib-string-change.patch: Cherry-pick
    from upstream to work with `old' and 'new' GLib strings. Fixes FTBFS in
    test suite.

  [ Jeremy Bicha ]
  * Update homepage

  [ Michael Biebl ]
  * New upstream release.
  * debian/watch: Track stable releases.

 -- Michael Biebl <biebl@debian.org>  Thu, 01 Aug 2013 17:29:30 +0200

libpeas (1.8.0-1) experimental; urgency=low

  * New upstream release.
    + debian/patches/30_fix_python2-config.patch:
      - Removed, included upstream.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 28 Mar 2013 02:19:29 +0100

libpeas (1.7.0-2) experimental; urgency=low

  * debian/control.in:
    + Bump libgjs-dev build dependency to build against libgjs0c.
  * debian/rules:
    + Set $HOME when running the test suite, fixes the build on some
      buildds where $HOME is not writable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 24 Mar 2013 21:58:10 +0100

libpeas (1.7.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.4.
    - Build-Depends on python3-dev to build python3 loader.
    - Build-Depends on dh_autoreconf.
    - Build-Depends on python-gi-dev (>= 3.7.2) to pass testsuite.
    - Build-Depends on xvfb and xauth to run testsuite.
    - Build-Depends on libgjs-dev to build gjs loader.
    - Build-Depends on libseed-gtk3-dev also on ia64.
  * debian/rules:
    - Enable python3 loader (Closes: #678354).
    - Enable gjs loader.
    - Enable seed loader on ia64.
    - Include autoreconf.mk to run dh_autoreconf.
    - Enable testsuite.
    - Run gnome-autogen.sh
  * debian/patches:
    - Added 30_fix_python2-config.patch: Check for python-config binary.

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Sat, 16 Mar 2013 07:27:26 +0100

libpeas (1.6.2-1) experimental; urgency=low

  * New upstream release
  * Drop vala build-dep and configure flag,
    vala demo plugin dropped upstream. (Closes: #675656)
  * Update for new libpeas-1.0-0 symbols (2 additions)

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 09 Dec 2012 22:54:16 +0100

libpeas (1.4.0-2) unstable; urgency=low

  * Don't enable the seed plugin on ia64 and mips since seed is not available
    on those architectures.

 -- Michael Biebl <biebl@debian.org>  Sat, 31 Mar 2012 23:37:26 +0200

libpeas (1.4.0-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Track .xz tarballs.
  * Bump (Build-)Depends on libglib2.0-dev to (>= 2.31.2).
  * debian/libpeas-1.0-0.symbols: Add new symbols and remove 2 internal
    symbols which were dropped upstream.
  * Explicitly enable the plugins (vala, python, seed) for more reliable build
    results.
  * Use find to remove the compiled python and libtool .la files.
  * Bump Standards-Version to 3.9.3.

 -- Michael Biebl <biebl@debian.org>  Sat, 31 Mar 2012 08:26:42 +0200

libpeas (1.2.0-2) unstable; urgency=low

  [ Josselin Mouette ]
  * Replace python-gobject by python-gi.

  [ Michael Biebl ]
  * Change section of gir1.2-peas-1.0 to introspection.

  [ Josselin Mouette ]
  * Update repository URL.

 -- Michael Biebl <biebl@debian.org>  Thu, 15 Mar 2012 20:17:11 +0100

libpeas (1.2.0-1) unstable; urgency=low

  [ Oliver Sauder ]
  * Renamed peas vapi file to libpeas-1.0.vapi (Closes: #639625)

  [ Laurent Bigonville ]
  * debian/control.in:
    - Bump Priority to optional
    - Drop duplicate Section to please lintian
  * debian/libpeas-doc.lintian-overrides:
    Override documentation-package-not-architecture-independent

  [ Sjoerd Simons ]
  * New upstream release
  * Binds plugin module symbols globally, fixes python plugins (Closes: 647292)
  * Sync with ubuntu:
    * Don't ship vapi files, rely on valac-0.14 shipping them
    * debian/libpeas-1.0-0.symbols: Updates
    * Put libpeas-1.0-0, libpeas-common and gir1.2-peas-1.0 in section libs
    * Don't run the GTK test as they require an X server
    * Set priority to extra

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 20 Nov 2011 23:21:10 +0000

libpeas (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * debian/libpeas-1.0-0.symbols: Update for new API additions.

 -- Michael Biebl <biebl@debian.org>  Wed, 03 Aug 2011 19:11:54 +0200

libpeas (1.1.0-1) unstable; urgency=low

  * New upstream release.
  * Update debian/libpeas-1.0-0.symbols.
  * debian/rules: Build gtk-doc documentation.
  * Install the complete /usr/lib/peas-demo directory and remove compiled
    python and libtool .la files afterwards. This way we don't fail on
    architectures where seed is disabled and no .js files are installed.

 -- Michael Biebl <biebl@debian.org>  Fri, 22 Jul 2011 00:16:40 +0200

libpeas (1.0.0-5) unstable; urgency=low

  * debian/libpeas-doc.install:
    - Install .js and .py plugin files for peas-demo.
  * Disable seed support on mips. Should be re-enabled when #633730 is fixed.

 -- Michael Biebl <biebl@debian.org>  Thu, 21 Jul 2011 18:41:59 +0200

libpeas (1.0.0-4) unstable; urgency=low

  [ Sebastien Bacher ]
  * debian/control.in: build-depends on libgladeui-dev
  * Install the glade catalogue

  [ Michael Biebl ]
  * Rely on cdbs to call dh_girepository:
    - Bump Build-Depends on cdbs to (>= 0.4.90).
    - Remove custom dh_girepository rules from debian/rules.
  * Disable seed support on ia64 until #582774 is fixed.
  * Upload to unstable.
    - Update Vcs-* fields.
    - Remove check-dist.mk from debian/rules.

 -- Michael Biebl <biebl@debian.org>  Wed, 13 Jul 2011 10:49:51 +0200

libpeas (1.0.0-3) experimental; urgency=low

  * Exclude plugin directory when calling dh_makeshlibs for libpeas-1.0-0 and
    remove those symbols from debian/libpeas-1.0-0.symbols.
  * debian/watch: Don't run uupdate.
  * debian/control.in:
    - Bump dependency on libgirepository1.0-dev to (>= 0.10.1) for
      libpeas-dev according to the .pc file.
    - Bump Build-Depends on libgirepository1.0-dev to (>= 0.10.1).
  * Don't install libtool .la files for loader plugins and peas-demo.

 -- Michael Biebl <biebl@debian.org>  Sun, 19 Jun 2011 01:19:40 +0200

libpeas (1.0.0-2) experimental; urgency=low

  [ Michael Terry ]
  * debian/libpeas-1.0-0.symbols: add symbols file

  [ Martin Pitt ]
  * Enable Vala support:
    - debian/control.in: Add valac-0.12 build dependency. configure picks that
      up and enables Vala support.
    - debian/rules: Call vapigen to build a vapi from generated gir.
    - debian/libpeas-dev.install: Ship libpeas-1.0.vapi.
  * debian/rules: Run tests during build, but make sure that we don't build
    the tests with -Bsymbolic-functions, which confuses them. Thanks to
    Michael Terry for the patch! (Closes: #627115)
  * debian/control.in: Add gnome-icon-theme build dependency. One of the self
    tests checks the "gtk-about" stock icon, so ensure that it can actually
    find it.
  * debian/control.in: Bump Standards-Version to 3.9.2, no changes necessary.
  * debian/copyright: Update FSF address, thanks lintian.

 -- Martin Pitt <mpitt@debian.org>  Tue, 31 May 2011 15:29:55 +0200

libpeas (1.0.0-1) experimental; urgency=low

  [ Josselin Mouette ]
  * Make the -dev package depend on the gir package.

  [ Andreas Henriksson ]
  * New upstream release.
    - Bump gobject-introspection and seed build dependencies according
      to configure.ac

  [ Frederic Peters ]
  * debian/rules: don't install compiled python files for the demo plugin.

 -- Frederic Peters <fpeters@debian.org>  Wed, 13 Apr 2011 16:59:57 +0200

libpeas (0.9.0-1) experimental; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Mon, 28 Mar 2011 12:05:11 +0530

libpeas (0.7.3-2) experimental; urgency=low

  * Fix typo in the libpeas-dev dependencies

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 26 Feb 2011 16:45:50 +0000

libpeas (0.7.3-1) experimental; urgency=low

  [ Sebastien Bacher ]
  * debian/control.in:
    - conflicts, replaces with old ubuntu naming to avoid upgrade issues.
      (Closes: #612478)

  [ Sjoerd Simons ]
  * New upstream release (0.7.3)
  * Transition to libgtk-3-* package nameing

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 26 Feb 2011 16:17:43 +0000

libpeas (0.7.1-1) experimental; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 31 Jan 2011 23:29:06 +0000

libpeas (0.7.0-1) experimental; urgency=low

  [ Sjoerd Simons ]
  * Initial debian revision

  [ Emilio Pozuelo Monfort ]
  * debian/control.in,
    debian/rules:
    - Switch to CDBS.
  * debian/rules:
    - Call dh_girepository.
  * debian/control.in:
    - Update the Homepage.
    - Fix the libpeas-dev dependencies.
  * debian/copyright:
    - Remove version from the download location.
  * debian/control.in,
    debian/libpeas-{examples,doc}.install:
    - Rename libpeas-examples to libpeas-doc and ship the documentation
      on it.
  * debian/control.in,
    debian/libpeas-common.install:
    - Add a common package.
  * debian/libpeas-dev:
    - Don't install libtool .la files.
  * debian/control.in,
    debian/compat:
    - Bump debhelper compatibility to 8.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 20 Dec 2010 00:55:33 +0000

libpeas (0.7.0-0ubuntu2) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Dec 2010 16:52:36 +0000

libpeas (0.7.0-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/control:
    - Update dependencies
  * debian/patches/older_gobject_introspection:
    - Dropped, not needed now
  * debian/rules:
    - Don't call autoreconf
    - Don't build against gtk2
    - Call dh_girepository to set gir:Depends
  * debian/watch:
    - Use bz2 tarballs

 -- Michael Terry <mterry@ubuntu.com>  Mon, 15 Nov 2010 16:38:37 -0500

libpeas (0.5.3-0ubuntu5) maverick; urgency=low

  * debian/control:
  * debian/gir1.0-libpeas-1.0.install:
  * debian/gir1.0-peas-1.0.install:
    - Fix name of GIR package

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 20 Aug 2010 15:36:33 +1000

libpeas (0.5.3-0ubuntu4) maverick; urgency=low

  * Rebuild against latest gobject-introspection

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 11 Aug 2010 09:19:37 +1000

libpeas (0.5.3-0ubuntu3) maverick; urgency=low

  * debian/control:
    - Build-depend on intltool, gtk-doc-tools

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 09 Aug 2010 16:44:03 +1000

libpeas (0.5.3-0ubuntu2) maverick; urgency=low

  * debian/control:
    - Build-depend on gobject-introspection

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 09 Aug 2010 12:14:50 +1000

libpeas (0.5.3-0ubuntu1) maverick; urgency=low

  * Initial release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 03 Aug 2010 17:45:27 +1000
